from sqlalchemy import Column, String, Text
from app.models.base import TimestampModel

class Item(TimestampModel):
    """Item model for demonstration purposes."""
    __tablename__ = "items"
    
    name = Column(String(255), nullable=False, index=True)
    description = Column(Text, nullable=True)